> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conduit.financial/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction

> Get a transaction



## OpenAPI

````yaml https://api.conduit.financial/api-docs/2024-12-01/openapi-external.yaml?mode=dynamic get /transactions/{id}
openapi: 3.0.2
info:
  version: '2024-12-01'
  title: Conduit API
  description: The Conduit Financial API
  contact:
    name: Conduit Support
    email: conduit@conduit.fi
servers:
  - url: https://api.conduit.financial
    description: The Conduit API live environment
  - url: https://api.sandbox.conduit.financial
    description: The Conduit API Sandbox environment
security: []
tags:
  - name: Accounts
    description: |
      Endpoints dealing with accounts.
  - name: Counterparties
    description: |
      Endpoints dealing with counterparties information. 
  - name: Quotes
    description: |
      Endpoints dealing with quotes.
  - name: Transactions
    description: |
      Endpoints dealing with transactions.
  - name: Documents
    description: |
      Endpoints dealing with documents.
  - name: Customers
    description: |
      Endpoints dealing with customer information. 
paths:
  /transactions/{id}:
    get:
      tags:
        - Transactions
      summary: Get transaction
      description: Get a transaction
      operationId: getTransaction
      parameters:
        - schema:
            $ref: '#/components/schemas/TransactionId'
          required: true
          description: A valid Transaction ID
          name: id
          in: path
      responses:
        '200':
          description: The retrieved transaction object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransactionResponse'
        '400':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponse'
        '404':
          description: Not Found error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorResponse'
        '415':
          description: Unsupported media type error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnsupportedMediaTypeErrorResponse'
        '429':
          description: Throttling error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponse'
        '500':
          description: Internal Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - apiKey: []
          apiSecret: []
components:
  schemas:
    TransactionId:
      type: string
      pattern: ^trxn_[a-zA-Z0-9]{27}$
      description: A valid Transaction ID
      example: trxn_2ofTAESrTs4uQ8N3yGBMhGj59jV
    GetTransactionResponse:
      oneOf:
        - $ref: '#/components/schemas/OffRampTransactionObject'
        - $ref: '#/components/schemas/OnRampTransactionObject'
        - $ref: '#/components/schemas/DepositTransactionObject'
        - $ref: '#/components/schemas/WithdrawalTransactionObject'
        - $ref: '#/components/schemas/ConversionTransactionObject'
        - $ref: '#/components/schemas/TransferTransactionObject'
      discriminator:
        propertyName: type
        mapping:
          offramp:
            $ref: '#/components/schemas/OffRampTransactionObject'
          onramp:
            $ref: '#/components/schemas/OnRampTransactionObject'
          deposit:
            $ref: '#/components/schemas/DepositTransactionObject'
          withdrawal:
            $ref: '#/components/schemas/WithdrawalTransactionObject'
          conversion:
            $ref: '#/components/schemas/ConversionTransactionObject'
          transfer:
            $ref: '#/components/schemas/TransferTransactionObject'
    BadRequestErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    ForbiddenErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    NotFoundErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    UnsupportedMediaTypeErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TooManyRequestsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    InternalServerErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    OffRampTransactionObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - offramp
        id:
          $ref: '#/components/schemas/TransactionId'
        quote:
          $ref: '#/components/schemas/QuoteId'
        source:
          type: object
          properties:
            id:
              $ref: '#/components/schemas/BankAccountId'
            asset:
              $ref: '#/components/schemas/AssetCode'
            network:
              $ref: '#/components/schemas/NetworkName'
            amount:
              $ref: '#/components/schemas/PositiveDecimal'
            assetCountry:
              type: string
          required:
            - id
            - asset
            - amount
          additionalProperties: false
        destination:
          type: object
          properties:
            id:
              $ref: '#/components/schemas/BankAccountId'
            asset:
              $ref: '#/components/schemas/AssetCode'
            network:
              $ref: '#/components/schemas/NetworkName'
            amount:
              $ref: '#/components/schemas/PositiveDecimal'
            assetCountry:
              type: string
          required:
            - id
            - asset
            - amount
          additionalProperties: false
        status:
          $ref: '#/components/schemas/TransactionStatus'
        createdAt:
          type: string
          format: date-time
        completedAt:
          type: string
          format: date-time
        documents:
          type: array
          items:
            type: object
            properties:
              id:
                $ref: '#/components/schemas/DocumentId'
            required:
              - id
        purpose:
          $ref: '#/components/schemas/ResponseTransactionPurpose'
        reference:
          type: string
        fiatNetworkPaymentRef:
          type: string
      required:
        - type
        - id
        - quote
        - source
        - destination
        - status
        - createdAt
        - documents
        - purpose
      example:
        type: offramp
        id: trxn_2ji0un2T6BaGhHKsmJu93Zf5OQm
        quote: quote_2nqjHpNLK6wSNlFyMvZgX8SYeAO
        source:
          id: bank_2kezVryAA3Uw9LJYBiXUV7Pj6gu
          asset: USDT
          network: tron
          amount: '115.000000'
        destination:
          id: bank_2UOcdiXWXbHdLRl3zfU2gG27yRi
          asset: USD
          amount: '117.00'
        documents:
          - id: doc_2ofTAESrTs4uQ8N3yGBMhGj59jV
        status: completed
        createdAt: '2024-10-26T02:21:03.742Z'
        completedAt: '2024-10-26T02:45:03.742Z'
        reference: TRX#09123A
        purpose: Other
        fiatNetworkPaymentRef: 123e4567-e89b-12d3-a456-426614174000
    OnRampTransactionObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - onramp
        id:
          $ref: '#/components/schemas/TransactionId'
        quote:
          $ref: '#/components/schemas/QuoteId'
        source:
          type: object
          properties:
            id:
              $ref: '#/components/schemas/BankAccountId'
            asset:
              $ref: '#/components/schemas/AssetCode'
            network:
              $ref: '#/components/schemas/NetworkName'
            amount:
              $ref: '#/components/schemas/PositiveDecimal'
            assetCountry:
              type: string
          required:
            - id
            - asset
            - amount
          additionalProperties: false
        destination:
          type: object
          properties:
            id:
              $ref: '#/components/schemas/BankAccountId'
            asset:
              $ref: '#/components/schemas/AssetCode'
            network:
              $ref: '#/components/schemas/NetworkName'
            amount:
              $ref: '#/components/schemas/PositiveDecimal'
            assetCountry:
              type: string
          required:
            - id
            - asset
            - amount
          additionalProperties: false
        onrampInstructions:
          type: object
          properties:
            status:
              type: string
              enum:
                - pending
                - ready
            data:
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/SwiftDepositInstructionObject'
                  - $ref: '#/components/schemas/FedwireDepositInstructionObject'
                  - $ref: '#/components/schemas/SpeiDepositInstructionObject'
                  - $ref: '#/components/schemas/TedDepositInstructionObject'
                  - $ref: '#/components/schemas/PixDepositInstructionObject'
                  - $ref: '#/components/schemas/SepaDepositInstructionObject'
                  - type: object
                    properties:
                      rail:
                        type: string
                        enum:
                          - nip
                      bank:
                        type: object
                        properties:
                          name:
                            type: string
                          accountNumber:
                            type: string
                          swiftCode:
                            type: string
                          branchCode:
                            type: string
                          routingCode:
                            type: string
                          address:
                            type: object
                            properties:
                              street:
                                type: string
                              city:
                                type: string
                              postalCode:
                                type: string
                              country:
                                type: string
                            required:
                              - street
                              - city
                              - postalCode
                              - country
                        required:
                          - name
                          - accountNumber
                          - swiftCode
                          - branchCode
                          - routingCode
                          - address
                      accountOwner:
                        type: object
                        properties:
                          name:
                            type: string
                          address:
                            type: object
                            properties:
                              street:
                                type: string
                              city:
                                type: string
                              postalCode:
                                type: string
                              country:
                                type: string
                            required:
                              - street
                              - city
                              - postalCode
                              - country
                        required:
                          - name
                          - address
                      assetType:
                        type: string
                        enum:
                          - NGN
                    required:
                      - rail
                      - bank
                      - accountOwner
                      - assetType
                  - $ref: '#/components/schemas/FPSDepositInstructionObject'
                  - $ref: '#/components/schemas/CHAPSDepositInstructionObject'
          required:
            - status
            - data
        status:
          $ref: '#/components/schemas/TransactionStatus'
        createdAt:
          type: string
          format: date-time
        completedAt:
          type: string
          format: date-time
        documents:
          type: array
          items:
            type: object
            properties:
              id:
                $ref: '#/components/schemas/DocumentId'
            required:
              - id
        purpose:
          $ref: '#/components/schemas/ResponseTransactionPurpose'
        reference:
          type: string
        fiatNetworkPaymentRef:
          type: string
      required:
        - type
        - id
        - quote
        - source
        - destination
        - onrampInstructions
        - status
        - createdAt
      example:
        type: onramp
        id: trxn_2ji0un2T6BaGhHKsmJu93Zf5OQm
        quote: quote_2nqjHpNLK6wSNlFyMvZgX8SYeAO
        source:
          id: bank_2UOcdiXWXbHdLRl3zfU2gG27yRi
          asset: BRL
          amount: '613.00'
        destination:
          id: bank_2kezVryAA3Uw9LJYBiXUV7Pj6gu
          asset: USDT
          network: tron
          amount: '115.000000'
        onrampInstructions:
          status: pending
          data:
            - rail: ted
              asset: BRL
              bank:
                bankName: Banco Arbi (213)
                accountNumber: 000320298-1
                branchCode: '0001'
              accountOwner:
                name: CONDUIT TECHNOLOGY INC
                identificationType: CNPJ
                identificationNumber: 53.848.853/0001-44
        status: completed
        createdAt: '2024-10-26T02:21:03.742Z'
        completedAt: '2024-10-26T02:45:03.742Z'
        documents:
          - id: doc_2ofTAESrTs4uQ8N3yGBMhGj59jV
        purpose: Other
        fiatNetworkPaymentRef: 123e4567-e89b-12d3-a456-426614174000
    DepositTransactionObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - deposit
        id:
          $ref: '#/components/schemas/TransactionId'
        blockchainTxHash:
          type: string
        source:
          type: object
          properties:
            id:
              allOf:
                - $ref: '#/components/schemas/BankAccountId'
                - description: Deposit bank account id
            address:
              type: string
              description: The blockchain wallet address
            asset:
              $ref: '#/components/schemas/AssetCode'
            network:
              $ref: '#/components/schemas/NetworkName'
            amount:
              $ref: '#/components/schemas/PositiveDecimal'
          required:
            - asset
            - amount
          additionalProperties: false
        destination:
          anyOf:
            - type: object
              properties:
                id:
                  $ref: '#/components/schemas/AccountId'
                asset:
                  $ref: '#/components/schemas/AssetCode'
                network:
                  $ref: '#/components/schemas/NetworkName'
                amount:
                  $ref: '#/components/schemas/PositiveDecimal'
                assetCountry:
                  type: string
              required:
                - id
                - asset
                - amount
              additionalProperties: false
            - type: object
              properties:
                id:
                  $ref: '#/components/schemas/BankAccountId'
                asset:
                  $ref: '#/components/schemas/AssetCode'
                network:
                  $ref: '#/components/schemas/NetworkName'
                amount:
                  $ref: '#/components/schemas/PositiveDecimal'
                assetCountry:
                  type: string
              required:
                - id
                - asset
                - amount
              additionalProperties: false
        status:
          $ref: '#/components/schemas/TransactionStatus'
        createdAt:
          type: string
          format: date-time
        completedAt:
          type: string
          format: date-time
        fiatNetworkPaymentRef:
          type: string
      required:
        - type
        - id
        - source
        - destination
        - status
        - createdAt
      example:
        type: deposit
        id: trxn_2ji0un2T6BaGhHKsmJu93Zf5OQm
        blockchainTxHash: '0xdcc3e84b0b1f28be620b9efa0b2efe8758eeaa749eee564c4901a56b549ba8b4'
        source:
          address: 2UOcdiXWXbHdLRl3zfU2gG27yRi
          asset: USDT
          network: tron
          amount: '115.000000'
        destination:
          id: acct_2kezVryAA3Uw9LJYBiXUV7Pj6gu
          asset: USDT
          network: tron
          amount: '115.000000'
        status: completed
        createdAt: '2024-10-26T02:21:03.742Z'
        completedAt: '2024-10-26T02:45:03.742Z'
        fiatNetworkPaymentRef: 123e4567-e89b-12d3-a456-426614174000
    WithdrawalTransactionObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - withdrawal
        id:
          $ref: '#/components/schemas/TransactionId'
        blockchainTxHash:
          type: string
        source:
          type: object
          properties:
            id:
              $ref: '#/components/schemas/AccountId'
            asset:
              $ref: '#/components/schemas/AssetCode'
            network:
              $ref: '#/components/schemas/NetworkName'
            amount:
              $ref: '#/components/schemas/PositiveDecimal'
            assetCountry:
              type: string
          required:
            - id
            - asset
            - amount
          additionalProperties: false
        destination:
          type: object
          properties:
            id:
              allOf:
                - $ref: '#/components/schemas/BankAccountId'
                - description: Deposit bank account id
            address:
              type: string
              description: The blockchain wallet address
            asset:
              $ref: '#/components/schemas/AssetCode'
            network:
              $ref: '#/components/schemas/NetworkName'
            amount:
              $ref: '#/components/schemas/PositiveDecimal'
          required:
            - asset
            - amount
          additionalProperties: false
        status:
          $ref: '#/components/schemas/TransactionStatus'
        createdAt:
          type: string
          format: date-time
        completedAt:
          type: string
          format: date-time
        reference:
          type: string
        fiatNetworkPaymentRef:
          type: string
      required:
        - type
        - id
        - blockchainTxHash
        - source
        - destination
        - status
        - createdAt
      example:
        type: withdrawal
        id: trxn_2ji0un2T6BaGhHKsmJu93Zf5OQm
        blockchainTxHash: '0x21340987340598734059873409587'
        source:
          id: acct_2kezVryAA3Uw9LJYBiXUV7Pj6gu
          asset: USDT
          network: tron
          amount: '115.000000'
        destination:
          address: 2UOcdiXWXbHdLRl3zfU2gG27yRi
          asset: USDT
          network: tron
          amount: '115.000000'
        status: completed
        createdAt: '2024-10-26T02:21:03.742Z'
        completedAt: '2024-10-26T02:45:03.742Z'
        fiatNetworkPaymentRef: 123e4567-e89b-12d3-a456-426614174000
    ConversionTransactionObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - conversion
        id:
          $ref: '#/components/schemas/TransactionId'
        quote:
          $ref: '#/components/schemas/QuoteId'
        source:
          anyOf:
            - type: object
              properties:
                id:
                  $ref: '#/components/schemas/BankAccountId'
                asset:
                  $ref: '#/components/schemas/AssetCode'
                network:
                  $ref: '#/components/schemas/NetworkName'
                amount:
                  $ref: '#/components/schemas/PositiveDecimal'
                assetCountry:
                  type: string
              required:
                - id
                - asset
                - amount
              additionalProperties: false
            - type: object
              properties:
                id:
                  $ref: '#/components/schemas/AccountId'
                asset:
                  $ref: '#/components/schemas/AssetCode'
                network:
                  $ref: '#/components/schemas/NetworkName'
                amount:
                  $ref: '#/components/schemas/PositiveDecimal'
                assetCountry:
                  type: string
              required:
                - id
                - asset
                - amount
              additionalProperties: false
        destination:
          anyOf:
            - type: object
              properties:
                id:
                  $ref: '#/components/schemas/BankAccountId'
                asset:
                  $ref: '#/components/schemas/AssetCode'
                network:
                  $ref: '#/components/schemas/NetworkName'
                amount:
                  $ref: '#/components/schemas/PositiveDecimal'
                assetCountry:
                  type: string
              required:
                - id
                - asset
                - amount
              additionalProperties: false
            - type: object
              properties:
                id:
                  $ref: '#/components/schemas/AccountId'
                asset:
                  $ref: '#/components/schemas/AssetCode'
                network:
                  $ref: '#/components/schemas/NetworkName'
                amount:
                  $ref: '#/components/schemas/PositiveDecimal'
                assetCountry:
                  type: string
              required:
                - id
                - asset
                - amount
              additionalProperties: false
        depositInstructions:
          type: object
          properties:
            status:
              type: string
              enum:
                - pending
                - ready
            data:
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/SwiftDepositInstructionObject'
                  - $ref: '#/components/schemas/FedwireDepositInstructionObject'
                  - $ref: '#/components/schemas/SpeiDepositInstructionObject'
                  - $ref: '#/components/schemas/TedDepositInstructionObject'
                  - $ref: '#/components/schemas/PixDepositInstructionObject'
                  - $ref: '#/components/schemas/SepaDepositInstructionObject'
                  - type: object
                    properties:
                      rail:
                        type: string
                        enum:
                          - nip
                      bank:
                        type: object
                        properties:
                          name:
                            type: string
                          accountNumber:
                            type: string
                          swiftCode:
                            type: string
                          branchCode:
                            type: string
                          routingCode:
                            type: string
                          address:
                            type: object
                            properties:
                              street:
                                type: string
                              city:
                                type: string
                              postalCode:
                                type: string
                              country:
                                type: string
                            required:
                              - street
                              - city
                              - postalCode
                              - country
                        required:
                          - name
                          - accountNumber
                          - swiftCode
                          - branchCode
                          - routingCode
                          - address
                      accountOwner:
                        type: object
                        properties:
                          name:
                            type: string
                          address:
                            type: object
                            properties:
                              street:
                                type: string
                              city:
                                type: string
                              postalCode:
                                type: string
                              country:
                                type: string
                            required:
                              - street
                              - city
                              - postalCode
                              - country
                        required:
                          - name
                          - address
                      assetType:
                        type: string
                        enum:
                          - NGN
                    required:
                      - rail
                      - bank
                      - accountOwner
                      - assetType
                  - $ref: '#/components/schemas/FPSDepositInstructionObject'
                  - $ref: '#/components/schemas/CHAPSDepositInstructionObject'
          required:
            - status
            - data
        status:
          $ref: '#/components/schemas/TransactionStatus'
        createdAt:
          type: string
          format: date-time
        completedAt:
          type: string
          format: date-time
        documents:
          type: array
          items:
            type: object
            properties:
              id:
                $ref: '#/components/schemas/DocumentId'
            required:
              - id
        purpose:
          $ref: '#/components/schemas/ResponseTransactionPurpose'
        reference:
          type: string
        fiatNetworkPaymentRef:
          type: string
      required:
        - type
        - id
        - quote
        - source
        - destination
        - status
        - createdAt
      example:
        type: conversion
        id: trxn_2ji0un2T6BaGhHKsmJu93Zf5OQm
        quote: quote_2nqjHpNLK6wSNlFyMvZgX8SYeAO
        source:
          id: bank_2kezVryAA3Uw9LJYBiXUV7Pj6gu
          asset: BRL
          amount: '100.00'
        destination:
          id: bank_2UOcdiXWXbHdLRl3zfU2gG27yRi
          asset: USD
          amount: '17.23'
        depositInstructions:
          status: pending
          data:
            - rail: ted
              asset: BRL
              bank:
                bankName: Banco Arbi (213)
                accountNumber: 000320298-1
                branchCode: '0001'
              accountOwner:
                name: CONDUIT TECHNOLOGY INC
                identificationType: CNPJ
                identificationNumber: 53.848.853/0001-44
        documents:
          - id: doc_2ofTAESrTs4uQ8N3yGBMhGj59jV
        status: completed
        createdAt: '2024-10-26T02:21:03.742Z'
        completedAt: '2024-10-26T02:45:03.742Z'
        reference: TRX#09123A
        purpose: Other
        fiatNetworkPaymentRef: 123e4567-e89b-12d3-a456-426614174000
    TransferTransactionObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - transfer
        id:
          $ref: '#/components/schemas/TransactionId'
        quote:
          $ref: '#/components/schemas/QuoteId'
        source:
          type: object
          properties:
            id:
              $ref: '#/components/schemas/BankAccountId'
            asset:
              $ref: '#/components/schemas/AssetCode'
            network:
              $ref: '#/components/schemas/NetworkName'
            amount:
              $ref: '#/components/schemas/PositiveDecimal'
            assetCountry:
              type: string
          required:
            - id
            - asset
            - amount
          additionalProperties: false
        destination:
          type: object
          properties:
            id:
              $ref: '#/components/schemas/BankAccountId'
            asset:
              $ref: '#/components/schemas/AssetCode'
            network:
              $ref: '#/components/schemas/NetworkName'
            amount:
              $ref: '#/components/schemas/PositiveDecimal'
            assetCountry:
              type: string
          required:
            - id
            - asset
            - amount
          additionalProperties: false
        depositInstructions:
          type: object
          properties:
            status:
              type: string
              enum:
                - pending
                - ready
            data:
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/SwiftDepositInstructionObject'
                  - $ref: '#/components/schemas/FedwireDepositInstructionObject'
                  - $ref: '#/components/schemas/SpeiDepositInstructionObject'
                  - $ref: '#/components/schemas/TedDepositInstructionObject'
                  - $ref: '#/components/schemas/PixDepositInstructionObject'
                  - $ref: '#/components/schemas/SepaDepositInstructionObject'
                  - type: object
                    properties:
                      rail:
                        type: string
                        enum:
                          - nip
                      bank:
                        type: object
                        properties:
                          name:
                            type: string
                          accountNumber:
                            type: string
                          swiftCode:
                            type: string
                          branchCode:
                            type: string
                          routingCode:
                            type: string
                          address:
                            type: object
                            properties:
                              street:
                                type: string
                              city:
                                type: string
                              postalCode:
                                type: string
                              country:
                                type: string
                            required:
                              - street
                              - city
                              - postalCode
                              - country
                        required:
                          - name
                          - accountNumber
                          - swiftCode
                          - branchCode
                          - routingCode
                          - address
                      accountOwner:
                        type: object
                        properties:
                          name:
                            type: string
                          address:
                            type: object
                            properties:
                              street:
                                type: string
                              city:
                                type: string
                              postalCode:
                                type: string
                              country:
                                type: string
                            required:
                              - street
                              - city
                              - postalCode
                              - country
                        required:
                          - name
                          - address
                      assetType:
                        type: string
                        enum:
                          - NGN
                    required:
                      - rail
                      - bank
                      - accountOwner
                      - assetType
                  - $ref: '#/components/schemas/FPSDepositInstructionObject'
                  - $ref: '#/components/schemas/CHAPSDepositInstructionObject'
          required:
            - status
            - data
        status:
          $ref: '#/components/schemas/TransactionStatus'
        createdAt:
          type: string
          format: date-time
        completedAt:
          type: string
          format: date-time
        documents:
          type: array
          items:
            type: object
            properties:
              id:
                $ref: '#/components/schemas/DocumentId'
            required:
              - id
        purpose:
          $ref: '#/components/schemas/ResponseTransactionPurpose'
        reference:
          type: string
        fiatNetworkPaymentRef:
          type: string
      required:
        - type
        - id
        - quote
        - source
        - destination
        - depositInstructions
        - status
        - createdAt
        - documents
      example:
        type: transfer
        id: trxn_2ji0un2T6BaGhHKsmJu93Zf5OQm
        quote: quote_2nqjHpNLK6wSNlFyMvZgX8SYeAO
        source:
          id: bank_2kezVryAA3Uw9LJYBiXUV7Pj6gu
          asset: USD
          amount: '100.00'
        destination:
          id: bank_2UOcdiXWXbHdLRl3zfU2gG27yRi
          asset: USD
          amount: '99.99'
        depositInstructions:
          status: pending
          data:
            - type: local
              rail: fedwire
              asset: USD
              bank:
                bankName: Lead Bank
                accountNumber: '123456789'
                routingNumber: '123'
                address:
                  streetLine1: 1801 Main St.
                  streetLine2: ''
                  city: Kansas City
                  state: MO
                  postalCode: '64108'
                  country: US
              accountOwner:
                name: Conduit Technology, Inc.
                address:
                  streetLine1: 1001 S. Main Street
                  streetLine2: Suite 4080
                  city: Kalispell
                  state: MT
                  postalCode: '59901'
                  country: US
              reference: ABB1234
        documents:
          - id: doc_2ofTAESrTs4uQ8N3yGBMhGj59jV
        status: completed
        createdAt: '2024-10-26T02:21:03.742Z'
        completedAt: '2024-10-26T02:45:03.742Z'
        reference: TRX#09123A
        purpose: Other
        fiatNetworkPaymentRef: 123e4567-e89b-12d3-a456-426614174000
    QuoteId:
      type: string
      pattern: ^quote_[a-zA-Z0-9]{27}$
      description: A valid Quote ID
      example: quote_2ofTABULiy4F9kO7JrrZJWpcO65
    BankAccountId:
      type: string
      pattern: ^bank_[a-zA-Z0-9]{27}$
      description: A valid Bank Account ID
      example: bank_2ofTA5mz0T91pBmD3tMTeLE7T4X
    AssetCode:
      type: string
      enum:
        - USD
        - MXN
        - BRL
        - COP
        - EUR
        - NGN
        - ARS
        - GBP
        - AED
        - SGD
        - HKD
        - USDT
        - USDC
        - RLUSD
      description: >-
        The asset identifier. Either an ISO-4217 currency code or a stablecoin
        token.
    NetworkName:
      type: string
      enum:
        - ethereum
        - tron
        - solana
        - polygon
        - base
        - xrpl
      description: >-
        The stablecoin asset network identifier. Required for stablecoins;
        omitted for fiat.
    PositiveDecimal:
      type: string
      pattern: ^(0\.[0-9]*[1-9][0-9]*|[1-9][0-9]*(\.[0-9]+)?)$
      description: A positive decimal amount
      example: '10.50'
    TransactionStatus:
      type: string
      enum:
        - initializing
        - created
        - compliance_approved
        - compliance_rejected
        - completed
        - awaiting_funds
        - funds_received
        - cancelled
        - in_compliance_review
        - awaiting_compliance_review
        - processing_withdrawal
        - withdrawal_processed
        - processing_settlement
        - settlement_processed
        - processing_payment
        - payment_processed
    DocumentId:
      type: string
      pattern: ^doc_[a-zA-Z0-9]{27}$
      description: A valid Document ID
      example: doc_2ofTAESrTs4uQ8N3yGBMhGj59jV
    ResponseTransactionPurpose:
      type: string
      enum:
        - PaymentsForGoodsOrServices
        - InterCompanyTransfer
        - Investments
        - Payroll
        - TreasuryManagement
        - Other
        - Unspecified
        - 12186-VirtualAssets
        - 12823-TradeOfGoods
        - 46019-FinancialServices
        - 46002-ItAndInformationServices
        - 46040-ManagementAndLegalServices
        - 46239-CreditTransfers
        - 46246-NonInsuranceIndemnities
        - 47609-CommissionsAndExpenses
        - 37303-MaintenanceOfResidents
        - 37334-DonationsAndCooperation
        - 46222-Reimbursements
        - 47908-SalariesAndCompensation
        - 46208-RentOfRealEstateAndEquipment
    SwiftDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - swift
        asset:
          type: string
          enum:
            - USD
        bank:
          type: object
          properties:
            bankName:
              type: string
            accountNumber:
              type: string
            swiftCode:
              type: string
            intermediarySwiftCode:
              type: string
            address:
              type: object
              properties:
                streetLine1:
                  type: string
                streetLine2:
                  type: string
                city:
                  type: string
                state:
                  type: string
                postalCode:
                  type: string
                country:
                  type: string
              required:
                - streetLine1
                - streetLine2
                - city
                - state
                - postalCode
                - country
          required:
            - bankName
            - accountNumber
            - swiftCode
            - address
        accountOwner:
          type: object
          properties:
            name:
              type: string
            address:
              type: object
              properties:
                streetLine1:
                  type: string
                streetLine2:
                  type: string
                city:
                  type: string
                state:
                  type: string
                postalCode:
                  type: string
                country:
                  type: string
              required:
                - streetLine1
                - streetLine2
                - city
                - state
                - postalCode
                - country
          required:
            - name
            - address
        reference:
          type: string
      required:
        - rail
        - asset
        - bank
        - accountOwner
      example:
        rail: swift
        asset: USD
        bank:
          bankName: Column N.A.
          accountNumber: '123456789'
          swiftCode: FNBOUS33
          intermediarySwiftCode: FNBOUS33
          address:
            streetLine1: 1 Letterman Drive
            streetLine2: Suite A4-700
            city: San Francisco
            state: CA
            postalCode: '94129'
            country: US
        accountOwner:
          name: Conduit Technology, Inc.
          address:
            streetLine1: 1 Treasure Way
            streetLine2: ''
            city: Ashland
            state: MA
            postalCode: '01721'
            country: US
        reference: ABB1234
    FedwireDepositInstructionObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - local
        rail:
          type: string
          enum:
            - fedwire
        asset:
          type: string
          enum:
            - USD
        bank:
          type: object
          properties:
            bankName:
              type: string
            accountNumber:
              type: string
            routingNumber:
              type: string
            address:
              type: object
              properties:
                streetLine1:
                  type: string
                streetLine2:
                  type: string
                city:
                  type: string
                state:
                  type: string
                postalCode:
                  type: string
                country:
                  type: string
              required:
                - streetLine1
                - streetLine2
                - city
                - state
                - postalCode
                - country
          required:
            - bankName
            - accountNumber
            - routingNumber
            - address
        accountOwner:
          type: object
          properties:
            name:
              type: string
            address:
              type: object
              properties:
                streetLine1:
                  type: string
                streetLine2:
                  type: string
                city:
                  type: string
                state:
                  type: string
                postalCode:
                  type: string
                country:
                  type: string
              required:
                - streetLine1
                - streetLine2
                - city
                - state
                - postalCode
                - country
          required:
            - name
            - address
        reference:
          type: string
      required:
        - type
        - rail
        - asset
        - bank
        - accountOwner
      example:
        type: local
        rail: fedwire
        asset: USD
        bank:
          bankName: Lead Bank
          accountNumber: '123456789'
          routingNumber: '123'
          address:
            streetLine1: 1801 Main St.
            streetLine2: ''
            city: Kansas City
            state: MO
            postalCode: '64108'
            country: US
        accountOwner:
          name: Conduit Technology, Inc.
          address:
            streetLine1: 1001 S. Main Street
            streetLine2: Suite 4080
            city: Kalispell
            state: MT
            postalCode: '59901'
            country: US
        reference: ABB1234
    SpeiDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - spei
        asset:
          type: string
          enum:
            - MXN
        bank:
          type: object
          properties:
            bankName:
              type: string
            accountNumber:
              type: string
          required:
            - bankName
            - accountNumber
        accountOwner:
          type: object
          properties:
            name:
              type: string
            identificationType:
              type: string
            identificationNumber:
              type: string
          required:
            - name
            - identificationType
            - identificationNumber
      required:
        - rail
        - asset
        - bank
        - accountOwner
      example:
        rail: spei
        asset: MXN
        bank:
          bankName: STP
          accountNumber: '646090258697335566'
        accountOwner:
          name: 12835304 MEXICO SA de CV
          identificationType: RFC
          identificationNumber: DMO240129BF4
    TedDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - ted
        asset:
          type: string
          enum:
            - BRL
        bank:
          type: object
          properties:
            bankName:
              type: string
            accountNumber:
              type: string
            branchCode:
              type: string
          required:
            - bankName
            - accountNumber
            - branchCode
        accountOwner:
          type: object
          properties:
            name:
              type: string
            identificationType:
              type: string
            identificationNumber:
              type: string
          required:
            - name
            - identificationType
            - identificationNumber
      required:
        - rail
        - asset
        - bank
        - accountOwner
      example:
        rail: ted
        asset: BRL
        bank:
          bankName: Banco Arbi (213)
          accountNumber: 000320298-1
          branchCode: '0001'
        accountOwner:
          name: CONDUIT TECHNOLOGY INC
          identificationType: CNPJ
          identificationNumber: 53.848.853/0001-44
    PixDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - pix
        asset:
          type: string
          enum:
            - BRL
        key:
          type: string
        qrCodeImageBase64:
          type: string
        expiresAt:
          type: string
          format: date-time
      required:
        - rail
        - asset
        - key
        - qrCodeImageBase64
      example:
        rail: pix
        asset: BRL
        key: 3bd547fc-6686-4df4-88e4-5dadd21432ab
        qrCodeImageBase64: PIX_QR_CODE_BASE64
        expiresAt: '2024-12-01T10:00:00.000Z'
    SepaDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - sepa
        asset:
          type: string
          enum:
            - EUR
        bank:
          type: object
          properties:
            accountNumber:
              type: string
            branchCode:
              type: string
          required:
            - accountNumber
            - branchCode
        accountOwner:
          type: object
          properties:
            name:
              type: string
          required:
            - name
      required:
        - rail
        - asset
        - bank
        - accountOwner
      example:
        rail: sepa
        asset: EUR
        bank:
          accountNumber: EE42 7777 0001 5158 0198
          branchCode: LHVBEE22
        accountOwner:
          name: 12835304 Canada Inc.
    FPSDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - fps
        asset:
          type: string
          enum:
            - GBP
        bank:
          type: object
          properties:
            accountNumber:
              type: string
            branchCode:
              type: string
          required:
            - accountNumber
            - branchCode
        accountOwner:
          type: object
          properties:
            name:
              type: string
          required:
            - name
      required:
        - rail
        - asset
        - bank
        - accountOwner
      example:
        rail: fps
        asset: GBP
        bank:
          accountNumber: EE42 7777 0001 5158 0198
          branchCode: LHVBEE22
        accountOwner:
          name: 12835304 Canada Inc.
    CHAPSDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - chaps
        asset:
          type: string
          enum:
            - GBP
        bank:
          type: object
          properties:
            accountNumber:
              type: string
            branchCode:
              type: string
          required:
            - accountNumber
            - branchCode
        accountOwner:
          type: object
          properties:
            name:
              type: string
          required:
            - name
      required:
        - rail
        - asset
        - bank
        - accountOwner
      example:
        rail: chaps
        asset: GBP
        bank:
          accountNumber: EE42 7777 0001 5158 0198
          branchCode: LHVBEE22
        accountOwner:
          name: 12835304 Canada Inc.
    AccountId:
      type: string
      pattern: ^acct_[a-zA-Z0-9]{27}$
      description: A valid Account ID
      example: acct_2ofTA5mz0T91pBmD3tMTeLE7T4X
  securitySchemes:
    apiKey:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    apiSecret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````